package entity

import "leafdev.top/Ecosystem/recommender/internal/schema"

type TagMapping struct {
	Id            schema.EntityId  `gorm:"primarykey" json:"id"`
	TagId         *schema.EntityId `gorm:"primarykey" json:"tag_id"`
	Tag           *Tag             `json:"tag"`
	Name          string           `json:"name"`
	Application   *Application
	ApplicationId schema.EntityId `json:"application_id"`
}

func (u *TagMapping) TableName() string {
	return "tag_mappings"
}
