package request

import "leafdev.top/Ecosystem/recommender/internal/schema"

type ApplicationId struct {
	ApplicationId schema.EntityId `json:"application_id" uri:"application_id"`
}

type ApplicationCreateRequest struct {
	Name string `json:"name"`
}

type UserLikePost struct {
	PostId         schema.EntityId `json:"post_id" uri:"post_id"`
	ExternalUserId string          `json:"external_user_id"`
}

type UserDislikePost struct {
	PostId         schema.EntityId `json:"post_id" uri:"post_id"`
	ExternalUserId string          `json:"external_user_id"`
}

type UserSuggestsRequest struct {
	ExternalUserId string          `json:"external_user_id" binding:"required"`
	CategoryId     schema.EntityId `json:"category_id" binding:"required"`
}
