package auth

import (
	"context"
	"leafdev.top/Ecosystem/recommender/internal/schema"
)

type HasUserInterface interface {
	GetUserId() schema.UserId
}

func (a *Service) Compare(ctx context.Context, entity HasUserInterface) bool {
	return entity.GetUserId() == a.GetUserId(ctx)
}
